IPP Software Navigation Tools IPP Links Communication Pan-STARRS Links

Changeset 5910


Ignore:
Timestamp:
Jan 5, 2006, 3:20:47 PM (21 years ago)
Author:
Paul Price
Message:

Now building with autoconf

Location:
trunk/ppImage
Files:
4 added
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/ppImage/Makefile

    r5859 r5910  
    1 default: ppImage
    2 help:
    3         @echo "USAGE: make ppimage"
    4 
    5 CC      =       gcc
    6 SRC     =       src
    7 BIN     =       bin
    8 
    9 DESTBIN =       $(HOME)/src/bin/$(ARCH)
    10 
    11 LPSLIB  :=      $(shell pslib-config --libs)
    12 IPSLIB  :=      $(shell pslib-config --cflags)
    13 
    14 LPSMOD  :=      $(shell psmodule-config --libs)
    15 IPSMOD  :=      $(shell psmodule-config --cflags)
    16 
    17 INCS    =       $(IPSLIB) $(IPSMOD)
    18 LIBS    =       $(LPSLIB) $(LPSMOD)
    19 CFLAGS  =       $(INCS) -std=c99 -Wall -Werror -g
    20 LFLAGS  =       $(LIBS)
    21 
    22 PPIMAGE = \
    23 $(SRC)/ppImage.$(ARCH).o \
    24 $(SRC)/ppImageConfig.$(ARCH).o \
    25 $(SRC)/ppImageLoadPixels.$(ARCH).o \
    26 $(SRC)/ppImageLoop.$(ARCH).o \
    27 $(SRC)/ppImageOptions.$(ARCH).o \
    28 $(SRC)/ppImageParseCamera.$(ARCH).o \
    29 $(SRC)/ppImageParseDetrend.$(ARCH).o \
    30 $(SRC)/ppImageWeights.$(ARCH).o \
    31 $(SRC)/ppDetrendBias.$(ARCH).o \
    32 $(SRC)/ppDetrendCell.$(ARCH).o \
    33 $(SRC)/ppDetrendMask.$(ARCH).o \
    34 $(SRC)/ppDetrendNonLinear.$(ARCH).o \
    35 $(SRC)/ppDetrendPedestal.$(ARCH).o
    36 
    37 # $(SRC)/ppImageOutput.$(ARCH).o \
    38 # $(SRC)/ppDetrendFlat.$(ARCH).o \
    39 
    40 ppImage: $(BIN)/ppImage.$(ARCH)
    41 $(BIN)/ppImage.$(ARCH) : $(PPIMAGE)
    42 $(PPIMAGE) : $(SRC)/ppImage.h
    43 
    44 INSTALL = ppImage
    45 
    46 # dependancy rules for binary code #########################
    47 .PRECIOUS: %.$(ARCH).o
    48 .PRECIOUS: $(BIN)/%.$(ARCH)
    49 
    50 %.$(ARCH).o : %.c
    51         $(CC) $(CFLAGS) -c $< -o $@
    52 
    53 $(BIN)/%.$(ARCH) : $(SRC)/%.$(ARCH).o
    54         @if [ ! -d $(BIN) ]; then mkdir -p $(BIN) || exit; fi
    55         $(CC) $^ -o $@ $(LFLAGS) || exit
    56         @echo "done with $@"
    57 
    58 $(DESTBIN)/%: $(BIN)/%.$(ARCH)
    59         @if [ ! -d $(DESTBIN) ]; then mkdir -p $(DESTBIN) || exit; fi
    60         rm -f $(DESTBIN)/$* || exit
    61         cp $(BIN)/$*.$(ARCH) $(DESTBIN)/$* || exit
    62 
    63 $(INSTALL): % : $(BIN)/%.$(ARCH)
    64 
    65 %.clean :
    66         rm -f $(BIN)/$*.$(ARCH)
    67         rm -f $(SRC)/*.$(ARCH).o
    68 
    69 %.install:
    70         make $(DESTBIN)/$* || exit
    71 
    72 # utilities #################################################
    73 
    74 install:
    75         for i in $(INSTALL); do make $$i.install || exit; done
    76 
    77 clean: 
    78         rm -f $(BIN)/*.$(ARCH)
    79         rm -f `find . -name "*.o"`
    80         rm -f `find . -name "*~"`
    81         rm -f `find . -name "#*"`
     1# Makefile.in generated by automake 1.9.5 from Makefile.am.
     2# Makefile.  Generated from Makefile.in by configure.
     3
     4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
     5# 2003, 2004, 2005  Free Software Foundation, Inc.
     6# This Makefile.in is free software; the Free Software Foundation
     7# gives unlimited permission to copy and/or distribute it,
     8# with or without modifications, as long as this notice is preserved.
     9
     10# This program is distributed in the hope that it will be useful,
     11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13# PARTICULAR PURPOSE.
     14
     15
     16srcdir = .
     17top_srcdir = .
     18
     19pkgdatadir = $(datadir)/ppimage
     20pkglibdir = $(libdir)/ppimage
     21pkgincludedir = $(includedir)/ppimage
     22top_builddir = .
     23am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     24INSTALL = /home/mithrandir/price/bin/install-check
     25install_sh_DATA = $(install_sh) -c -m 644
     26install_sh_PROGRAM = $(install_sh) -c
     27install_sh_SCRIPT = $(install_sh) -c
     28INSTALL_HEADER = $(INSTALL_DATA)
     29transform = $(program_transform_name)
     30NORMAL_INSTALL = :
     31PRE_INSTALL = :
     32POST_INSTALL = :
     33NORMAL_UNINSTALL = :
     34PRE_UNINSTALL = :
     35POST_UNINSTALL = :
     36subdir = .
     37DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
     38        $(srcdir)/Makefile.in $(top_srcdir)/configure compile depcomp \
     39        install-sh missing
     40ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     41am__aclocal_m4_deps = $(top_srcdir)/configure.ac
     42am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     43        $(ACLOCAL_M4)
     44am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
     45 configure.lineno configure.status.lineno
     46mkinstalldirs = $(install_sh) -d
     47CONFIG_CLEAN_FILES =
     48SOURCES =
     49DIST_SOURCES =
     50RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
     51        html-recursive info-recursive install-data-recursive \
     52        install-exec-recursive install-info-recursive \
     53        install-recursive installcheck-recursive installdirs-recursive \
     54        pdf-recursive ps-recursive uninstall-info-recursive \
     55        uninstall-recursive
     56ETAGS = etags
     57CTAGS = ctags
     58DIST_SUBDIRS = $(SUBDIRS)
     59DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     60distdir = $(PACKAGE)-$(VERSION)
     61top_distdir = $(distdir)
     62am__remove_distdir = \
     63  { test ! -d $(distdir) \
     64    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
     65         && rm -fr $(distdir); }; }
     66DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
     67GZIP_ENV = --best
     68distuninstallcheck_listfiles = find . -type f -print
     69distcleancheck_listfiles = find . -type f -print
     70ACLOCAL = ${SHELL} /home/mithrandir/price/IP3/ppImage/missing --run aclocal-1.9
     71AMDEP_FALSE = #
     72AMDEP_TRUE =
     73AMTAR = ${SHELL} /home/mithrandir/price/IP3/ppImage/missing --run tar
     74AUTOCONF = ${SHELL} /home/mithrandir/price/IP3/ppImage/missing --run autoconf
     75AUTOHEADER = ${SHELL} /home/mithrandir/price/IP3/ppImage/missing --run autoheader
     76AUTOMAKE = ${SHELL} /home/mithrandir/price/IP3/ppImage/missing --run automake-1.9
     77AWK = gawk
     78CC = gcc
     79CCDEPMODE = depmode=gcc3
     80CFLAGS = -g -O2
     81CPPFLAGS =
     82CYGPATH_W = echo
     83DEFS = -DPACKAGE_NAME=\"ppImage\" -DPACKAGE_TARNAME=\"ppimage\" -DPACKAGE_VERSION=\"0.0.1\" -DPACKAGE_STRING=\"ppImage\ 0.0.1\" -DPACKAGE_BUGREPORT=\"price@ifa.hawaii.edu\" -DPACKAGE=\"ppimage\" -DVERSION=\"0.0.1\" -D_GNU_SOURCE=1
     84DEPDIR = .deps
     85ECHO_C =
     86ECHO_N = -n
     87ECHO_T =
     88EXEEXT =
     89INSTALL_DATA = ${INSTALL} -m 644
     90INSTALL_PROGRAM = ${INSTALL}
     91INSTALL_SCRIPT = ${INSTALL}
     92INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
     93LDFLAGS =
     94LIBOBJS =
     95LIBS =
     96LTLIBOBJS =
     97MAINT =
     98MAINTAINER_MODE_FALSE = #
     99MAINTAINER_MODE_TRUE =
     100MAKEINFO = ${SHELL} /home/mithrandir/price/IP3/ppImage/missing --run makeinfo
     101OBJEXT = o
     102PACKAGE = ppimage
     103PACKAGE_BUGREPORT = price@ifa.hawaii.edu
     104PACKAGE_NAME = ppImage
     105PACKAGE_STRING = ppImage 0.0.1
     106PACKAGE_TARNAME = ppimage
     107PACKAGE_VERSION = 0.0.1
     108PATH_SEPARATOR = :
     109PKG_CONFIG = /home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/bin/pkg-config
     110PSLIB_CFLAGS = -I/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu//include -I/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/include/mysql -I/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/include -I/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/include/libxml2 
     111PSLIB_LIBS = -L/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu//lib -L/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/lib/mysql -L/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/lib -lpslib -lmysqlclient -lcrypt -lnsl -lcfitsio -lfftw3f -lgsl -lgslcblas -lxml2 -lz -lpthread -lm 
     112PSMODULE_CFLAGS = -I/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu//include -I/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/include -I/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/include/mysql -I/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/include/libxml2 
     113PSMODULE_LIBS = -I/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/include -I/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/include/mysql -I/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/include/libxml2 -L/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu//lib -L/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/lib/mysql -L/home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/lib -lpsmodule -lpslib -lmysqlclient -lcrypt -lnsl -lcfitsio -lfftw3f -lgsl -lgslcblas -lxml2 -lz -lpthread -lm 
     114SET_MAKE =
     115SHELL = /bin/sh
     116STRIP =
     117VERSION = 0.0.1
     118ac_ct_CC = gcc
     119ac_ct_STRIP =
     120ac_pt_PKG_CONFIG = /home/mithrandir/price/pan-starrs/jhroot/i686-pc-linux-gnu/bin/pkg-config
     121am__fastdepCC_FALSE = #
     122am__fastdepCC_TRUE =
     123am__include = include
     124am__leading_dot = .
     125am__quote =
     126am__tar = ${AMTAR} chof - "$$tardir"
     127am__untar = ${AMTAR} xf -
     128bindir = ${exec_prefix}/bin
     129build_alias =
     130datadir = ${prefix}/share
     131exec_prefix = ${prefix}
     132host_alias =
     133includedir = ${prefix}/include
     134infodir = ${prefix}/info
     135install_sh = /home/mithrandir/price/IP3/ppImage/install-sh
     136libdir = ${exec_prefix}/lib
     137libexecdir = ${exec_prefix}/libexec
     138localstatedir = ${prefix}/var
     139mandir = ${prefix}/man
     140mkdir_p = mkdir -p --
     141oldincludedir = /usr/include
     142ppImage_CFLAGS = -Wall -Werror -std=c99
     143prefix = /usr/local
     144program_transform_name = s,x,x,
     145sbindir = ${exec_prefix}/sbin
     146sharedstatedir = ${prefix}/com
     147sysconfdir = ${prefix}/etc
     148target_alias =
     149SUBDIRS = src
     150CLEANFILES = *~ core core.*
     151all: all-recursive
     152
     153.SUFFIXES:
     154am--refresh:
     155        @:
     156$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
     157        @for dep in $?; do \
     158          case '$(am__configure_deps)' in \
     159            *$$dep*) \
     160              echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
     161              cd $(srcdir) && $(AUTOMAKE) --foreign  \
     162                && exit 0; \
     163              exit 1;; \
     164          esac; \
     165        done; \
     166        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
     167        cd $(top_srcdir) && \
     168          $(AUTOMAKE) --foreign  Makefile
     169.PRECIOUS: Makefile
     170Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     171        @case '$?' in \
     172          *config.status*) \
     173            echo ' $(SHELL) ./config.status'; \
     174            $(SHELL) ./config.status;; \
     175          *) \
     176            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
     177            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
     178        esac;
     179
     180$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
     181        $(SHELL) ./config.status --recheck
     182
     183$(top_srcdir)/configure:  $(am__configure_deps)
     184        cd $(srcdir) && $(AUTOCONF)
     185$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
     186        cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
     187uninstall-info-am:
     188
     189# This directory's subdirectories are mostly independent; you can cd
     190# into them and run `make' without going through this Makefile.
     191# To change the values of `make' variables: instead of editing Makefiles,
     192# (1) if the variable is set in `config.status', edit `config.status'
     193#     (which will cause the Makefiles to be regenerated when you run `make');
     194# (2) otherwise, pass the desired values on the `make' command line.
     195$(RECURSIVE_TARGETS):
     196        @failcom='exit 1'; \
     197        for f in x $$MAKEFLAGS; do \
     198          case $$f in \
     199            *=* | --[!k]*);; \
     200            *k*) failcom='fail=yes';; \
     201          esac; \
     202        done; \
     203        dot_seen=no; \
     204        target=`echo $@ | sed s/-recursive//`; \
     205        list='$(SUBDIRS)'; for subdir in $$list; do \
     206          echo "Making $$target in $$subdir"; \
     207          if test "$$subdir" = "."; then \
     208            dot_seen=yes; \
     209            local_target="$$target-am"; \
     210          else \
     211            local_target="$$target"; \
     212          fi; \
     213          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
     214          || eval $$failcom; \
     215        done; \
     216        if test "$$dot_seen" = "no"; then \
     217          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
     218        fi; test -z "$$fail"
     219
     220mostlyclean-recursive clean-recursive distclean-recursive \
     221maintainer-clean-recursive:
     222        @failcom='exit 1'; \
     223        for f in x $$MAKEFLAGS; do \
     224          case $$f in \
     225            *=* | --[!k]*);; \
     226            *k*) failcom='fail=yes';; \
     227          esac; \
     228        done; \
     229        dot_seen=no; \
     230        case "$@" in \
     231          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
     232          *) list='$(SUBDIRS)' ;; \
     233        esac; \
     234        rev=''; for subdir in $$list; do \
     235          if test "$$subdir" = "."; then :; else \
     236            rev="$$subdir $$rev"; \
     237          fi; \
     238        done; \
     239        rev="$$rev ."; \
     240        target=`echo $@ | sed s/-recursive//`; \
     241        for subdir in $$rev; do \
     242          echo "Making $$target in $$subdir"; \
     243          if test "$$subdir" = "."; then \
     244            local_target="$$target-am"; \
     245          else \
     246            local_target="$$target"; \
     247          fi; \
     248          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
     249          || eval $$failcom; \
     250        done && test -z "$$fail"
     251tags-recursive:
     252        list='$(SUBDIRS)'; for subdir in $$list; do \
     253          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
     254        done
     255ctags-recursive:
     256        list='$(SUBDIRS)'; for subdir in $$list; do \
     257          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
     258        done
     259
     260ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
     261        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
     262        unique=`for i in $$list; do \
     263            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     264          done | \
     265          $(AWK) '    { files[$$0] = 1; } \
     266               END { for (i in files) print i; }'`; \
     267        mkid -fID $$unique
     268tags: TAGS
     269
     270TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     271                $(TAGS_FILES) $(LISP)
     272        tags=; \
     273        here=`pwd`; \
     274        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
     275          include_option=--etags-include; \
     276          empty_fix=.; \
     277        else \
     278          include_option=--include; \
     279          empty_fix=; \
     280        fi; \
     281        list='$(SUBDIRS)'; for subdir in $$list; do \
     282          if test "$$subdir" = .; then :; else \
     283            test ! -f $$subdir/TAGS || \
     284              tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
     285          fi; \
     286        done; \
     287        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     288        unique=`for i in $$list; do \
     289            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     290          done | \
     291          $(AWK) '    { files[$$0] = 1; } \
     292               END { for (i in files) print i; }'`; \
     293        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
     294          test -n "$$unique" || unique=$$empty_fix; \
     295          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
     296            $$tags $$unique; \
     297        fi
     298ctags: CTAGS
     299CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     300                $(TAGS_FILES) $(LISP)
     301        tags=; \
     302        here=`pwd`; \
     303        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     304        unique=`for i in $$list; do \
     305            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     306          done | \
     307          $(AWK) '    { files[$$0] = 1; } \
     308               END { for (i in files) print i; }'`; \
     309        test -z "$(CTAGS_ARGS)$$tags$$unique" \
     310          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
     311             $$tags $$unique
     312
     313GTAGS:
     314        here=`$(am__cd) $(top_builddir) && pwd` \
     315          && cd $(top_srcdir) \
     316          && gtags -i $(GTAGS_ARGS) $$here
     317
     318distclean-tags:
     319        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
     320
     321distdir: $(DISTFILES)
     322        $(am__remove_distdir)
     323        mkdir $(distdir)
     324        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
     325        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
     326        list='$(DISTFILES)'; for file in $$list; do \
     327          case $$file in \
     328            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
     329            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
     330          esac; \
     331          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
     332          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
     333          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
     334            dir="/$$dir"; \
     335            $(mkdir_p) "$(distdir)$$dir"; \
     336          else \
     337            dir=''; \
     338          fi; \
     339          if test -d $$d/$$file; then \
     340            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
     341              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
     342            fi; \
     343            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
     344          else \
     345            test -f $(distdir)/$$file \
     346            || cp -p $$d/$$file $(distdir)/$$file \
     347            || exit 1; \
     348          fi; \
     349        done
     350        list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
     351          if test "$$subdir" = .; then :; else \
     352            test -d "$(distdir)/$$subdir" \
     353            || $(mkdir_p) "$(distdir)/$$subdir" \
     354            || exit 1; \
     355            distdir=`$(am__cd) $(distdir) && pwd`; \
     356            top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
     357            (cd $$subdir && \
     358              $(MAKE) $(AM_MAKEFLAGS) \
     359                top_distdir="$$top_distdir" \
     360                distdir="$$distdir/$$subdir" \
     361                distdir) \
     362              || exit 1; \
     363          fi; \
     364        done
     365        -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
     366          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
     367          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
     368          ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
     369        || chmod -R a+r $(distdir)
     370dist-gzip: distdir
     371        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
     372        $(am__remove_distdir)
     373dist-bzip2: distdir
     374        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
     375        $(am__remove_distdir)
     376
     377dist-tarZ: distdir
     378        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
     379        $(am__remove_distdir)
     380
     381dist-shar: distdir
     382        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
     383        $(am__remove_distdir)
     384
     385dist-zip: distdir
     386        -rm -f $(distdir).zip
     387        zip -rq $(distdir).zip $(distdir)
     388        $(am__remove_distdir)
     389
     390dist dist-all: distdir
     391        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
     392        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
     393        $(am__remove_distdir)
     394
     395# This target untars the dist file and tries a VPATH configuration.  Then
     396# it guarantees that the distribution is self-contained by making another
     397# tarfile.
     398distcheck: dist
     399        case '$(DIST_ARCHIVES)' in \
     400        *.tar.gz*) \
     401          GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
     402        *.tar.bz2*) \
     403          bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
     404        *.tar.Z*) \
     405          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
     406        *.shar.gz*) \
     407          GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
     408        *.zip*) \
     409          unzip $(distdir).zip ;;\
     410        esac
     411        chmod -R a-w $(distdir); chmod a+w $(distdir)
     412        mkdir $(distdir)/_build
     413        mkdir $(distdir)/_inst
     414        chmod a-w $(distdir)
     415        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
     416          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
     417          && cd $(distdir)/_build \
     418          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
     419            $(DISTCHECK_CONFIGURE_FLAGS) \
     420          && $(MAKE) $(AM_MAKEFLAGS) \
     421          && $(MAKE) $(AM_MAKEFLAGS) dvi \
     422          && $(MAKE) $(AM_MAKEFLAGS) check \
     423          && $(MAKE) $(AM_MAKEFLAGS) install \
     424          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
     425          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
     426          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
     427                distuninstallcheck \
     428          && chmod -R a-w "$$dc_install_base" \
     429          && ({ \
     430               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
     431               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
     432               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
     433               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
     434                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
     435              } || { rm -rf "$$dc_destdir"; exit 1; }) \
     436          && rm -rf "$$dc_destdir" \
     437          && $(MAKE) $(AM_MAKEFLAGS) dist \
     438          && rm -rf $(DIST_ARCHIVES) \
     439          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
     440        $(am__remove_distdir)
     441        @(echo "$(distdir) archives ready for distribution: "; \
     442          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
     443          sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
     444distuninstallcheck:
     445        @cd $(distuninstallcheck_dir) \
     446        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
     447           || { echo "ERROR: files left after uninstall:" ; \
     448                if test -n "$(DESTDIR)"; then \
     449                  echo "  (check DESTDIR support)"; \
     450                fi ; \
     451                $(distuninstallcheck_listfiles) ; \
     452                exit 1; } >&2
     453distcleancheck: distclean
     454        @if test '$(srcdir)' = . ; then \
     455          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
     456          exit 1 ; \
     457        fi
     458        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
     459          || { echo "ERROR: files left in build directory after distclean:" ; \
     460               $(distcleancheck_listfiles) ; \
     461               exit 1; } >&2
     462check-am: all-am
     463check: check-recursive
     464all-am: Makefile
     465installdirs: installdirs-recursive
     466installdirs-am:
     467install: install-recursive
     468install-exec: install-exec-recursive
     469install-data: install-data-recursive
     470uninstall: uninstall-recursive
     471
     472install-am: all-am
     473        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
     474
     475installcheck: installcheck-recursive
     476install-strip:
     477        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
     478          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
     479          `test -z '$(STRIP)' || \
     480            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
     481mostlyclean-generic:
     482
     483clean-generic:
     484        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
     485
     486distclean-generic:
     487        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
     488
     489maintainer-clean-generic:
     490        @echo "This command is intended for maintainers to use"
     491        @echo "it deletes files that may require special tools to rebuild."
     492clean: clean-recursive
     493
     494clean-am: clean-generic mostlyclean-am
     495
     496distclean: distclean-recursive
     497        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
     498        -rm -f Makefile
     499distclean-am: clean-am distclean-generic distclean-tags
     500
     501dvi: dvi-recursive
     502
     503dvi-am:
     504
     505html: html-recursive
     506
     507info: info-recursive
     508
     509info-am:
     510
     511install-data-am:
     512
     513install-exec-am:
     514
     515install-info: install-info-recursive
     516
     517install-man:
     518
     519installcheck-am:
     520
     521maintainer-clean: maintainer-clean-recursive
     522        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
     523        -rm -rf $(top_srcdir)/autom4te.cache
     524        -rm -f Makefile
     525maintainer-clean-am: distclean-am maintainer-clean-generic
     526
     527mostlyclean: mostlyclean-recursive
     528
     529mostlyclean-am: mostlyclean-generic
     530
     531pdf: pdf-recursive
     532
     533pdf-am:
     534
     535ps: ps-recursive
     536
     537ps-am:
     538
     539uninstall-am: uninstall-info-am
     540
     541uninstall-info: uninstall-info-recursive
     542
     543.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
     544        check-am clean clean-generic clean-recursive ctags \
     545        ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
     546        dist-tarZ dist-zip distcheck distclean distclean-generic \
     547        distclean-recursive distclean-tags distcleancheck distdir \
     548        distuninstallcheck dvi dvi-am html html-am info info-am \
     549        install install-am install-data install-data-am install-exec \
     550        install-exec-am install-info install-info-am install-man \
     551        install-strip installcheck installcheck-am installdirs \
     552        installdirs-am maintainer-clean maintainer-clean-generic \
     553        maintainer-clean-recursive mostlyclean mostlyclean-generic \
     554        mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
     555        uninstall uninstall-am uninstall-info-am
     556
     557# Tell versions [3.59,3.63) of GNU make to not export all variables.
     558# Otherwise a system limit (for SysV at least) may be exceeded.
     559.NOEXPORT:
Note: See TracChangeset for help on using the changeset viewer.